Bug 20656 - openssl only works on ultrasparc
openssl only works on ultrasparc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
6.2
sparc Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-10 15:03 EST by mcornick
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 22:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mcornick 2000-11-10 15:03:38 EST
openssl-0.9.5a-2.6.x is set up to build with the linux-sparcv9
configuration on sparc. This produces libraries that won't work on sun4m or
sun4c processors. This is a considerable problem as several of the other
recent errata depend on libssl/libcrypto, making them useless on pre-Ultra
machines.

To the best of my knowledge, nothing else in 6.2 is UltraSPARC-only, right?
Comment 1 Nalin Dahyabhai 2001-01-15 23:05:35 EST
That's correct.  The OpenSSL build process suffers from rampant
over-optimization for the processor used to compile its binaries.  Please verify
that running "rpm --rebuild" on the source package produces a proper set of
binaries.
Comment 2 mcornick 2001-01-15 23:38:45 EST
Unfortunately I can't help you on this now - I no longer have a SPARC machine
running Linux. Sorry...
Comment 3 David Juran 2001-02-18 15:07:40 EST
I've rebuilt the rpm on a SparcStation 5 and they seem to work now (-:

Note You need to log in before you can comment on or make changes to this bug.